use std::{env::var, io, net::SocketAddr};

use axum::{routing::get, Router};

#[tokio::main]
async fn main() -> io::Result<()> {
    axum::Server::bind(&SocketAddr::from((
        [0, 0, 0, 0],
        match var("SERVER_PORT") {
            Ok(port) => port.parse::<u16>().unwrap(),
            Err(_) => 8321,
        },
    )))
    .serve(
        Router::new()
            .route("/", get(handle_request))
            .into_make_service(),
    )
    .await
    .unwrap();

    Ok(())
}

async fn handle_request() -> &'static str {
    "Hello world!"
}
